> For the complete documentation index, see [llms.txt](https://developer.emporix.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.emporix.io/api-documentation/api-guides/webhooks/webhook-service.md).

# Webhook Service

Manage the webhook configuration to allow users to choose which events they want to receive via the Svix or HTTP webhook provider. A tenant can have only one webhook configuration of each type: `svix`, `svix_shared`, and `http` at a time.

### Key features and benefits

* Gives possibility to view event catalog
* Gives possibility to view configuration
* Updates configuration
* Subscribes and unsubscribes from events without having to provide the full configuration
* Supports multiple webhook targets for the HTTP strategy: multiple `eventsConfiguration` entries per `eventType`, each with optional Jayway JsonPath `filter`, per-entry secrets/headers, and `excludedFields`
* Supports filtering custom entity events (`schema.custom-instance-*`) with JsonPath predicates
* Supports hooking into the following objects:
  * Availability
  * Catalog
  * Category Tree
  * Cart
  * Client Management
  * Customer
  * Customer Segment
  * Index Item
  * Order
  * Price
  * Product
  * Quote
  * Return
  * Schema
  * Site
  * Vendor
* Supports the following strategies:
  * Svix Emporix Shared Account
  * Svix Custom Account
  * HTTP Webhook (third-party provider)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.emporix.io/api-documentation/api-guides/webhooks/webhook-service.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
